org.keycloak.dom.saml.v2.ac

## Class TechnicalProtectionBaseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.TechnicalProtectionBaseType

-     public class TechnicalProtectionBaseType
      extends Object

  Java class for TechnicalProtectionBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TechnicalProtectionBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}PrivateKeyProtection"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}SecretKeyProtection"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExtensionType>` | `extension`
    `protected PrivateKeyProtectionType` | `privateKeyProtection`
    `protected SecretKeyProtectionType` | `secretKeyProtection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TechnicalProtectionBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `PrivateKeyProtectionType` | `getPrivateKeyProtection()` Gets the value of the privateKeyProtection property.
    `SecretKeyProtectionType` | `getSecretKeyProtection()` Gets the value of the secretKeyProtection property.
    `void` | `setPrivateKeyProtection(PrivateKeyProtectionType value)` Sets the value of the privateKeyProtection property.
    `void` | `setSecretKeyProtection(SecretKeyProtectionType value)` Sets the value of the secretKeyProtection property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### privateKeyProtection

          protected PrivateKeyProtectionType privateKeyProtection

    - #### secretKeyProtection

          protected SecretKeyProtectionType secretKeyProtection

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### TechnicalProtectionBaseType

          public TechnicalProtectionBaseType()

  - ### Method Detail

    - #### getPrivateKeyProtection

          public PrivateKeyProtectionType getPrivateKeyProtection()

      Gets the value of the privateKeyProtection property.
      Returns:
        possible object is `PrivateKeyProtectionType`

    - #### setPrivateKeyProtection

          public void setPrivateKeyProtection(PrivateKeyProtectionType value)

      Sets the value of the privateKeyProtection property.
      Parameters:
        `value` - allowed object is `PrivateKeyProtectionType`

    - #### getSecretKeyProtection

          public SecretKeyProtectionType getSecretKeyProtection()

      Gets the value of the secretKeyProtection property.
      Returns:
        possible object is `SecretKeyProtectionType`

    - #### setSecretKeyProtection

          public void setSecretKeyProtection(SecretKeyProtectionType value)

      Sets the value of the secretKeyProtection property.
      Parameters:
        `value` - allowed object is `SecretKeyProtectionType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.